Subject: Enforce RouteParts to only return simple types

Description

After calling Route::matches(), Route::getMatchResults() must not contain objects. See #25801 for reasoning.

Additionally we should enforce that Route::getMatchingUri() always returns a string.

Related issues:
related to TYPOS.Flow - Bug # 25801: Request arguments should never contain o... Resolved
related to TYPO3.Neos - Task # 25803: NodeRoutePartHandler should not return ... Resolved

2011-04-06
2011-04-06

Associated revisions

Revision c3e79ace - 2011-04-20 15:55 - Bastian Waidelich
[+TASK] Enforce RouteParts to only return simple types
Requests should never contain objects (see #25801 for details).
Consequently the Router should not deal with objects either.
This is enforced by checking the result of RoutePart::resolves()

and RoutePart::matches().

Change-Id: 17¢b6874314e00505chb5d5272a48b2¢c11d0a95c6e
Resolves: #26078

History

#1 - 2011-04-18 16:10 - Bastian Waidelich
- Tracker changed from Bug to Task

- Subject changed from Routes should only return simple types to Enforce RouteParts to only return simple types

#2 - 2011-04-18 16:24 - Mr. Hudson

Patch set 1 of change 17¢cb6874314e00505cb5d5272a48b2c11d0a95c6e has been pushed to the review server.
It is available at http://review.typo3.org/1650

#3 - 2011-04-20 15:56 - Mr. Hudson

Patch set 2 of change 17cb6874314e00505¢cb5d5272a48b2c11d0a95c6e has been pushed to the review server.
It is available at http://review.typo3.org/1650

#4 - 2011-04-20 16:00 - Bastian Waidelich
http://review.typo3.org/1650
http://review.typo3.org/1650

- Status changed from Accepted to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:c3e79ace3b3498aa4060e5c7cecefdfacef752e4.
